Name: abuse_sdl
Version: 0.7.0
Release: alt4

Summary: The classic Crack-Dot-Com game
License: GPL
Group: Games/Arcade

Url: http://www.labyrinth.net.au/~trandor/abuse/
Source0: http://www.labyrinth.net.au/~trandor/files/%name-%version.tar.bz2
#Source1: http://www.labyrinth.net.au/~trandor/files/abuse_datafiles.tar.bz2
Source1: fRaBs210.tar.bz2
Source2: abuse.desktop

# Automatically added by buildreq on Sun Feb 11 2007
BuildRequires: esound gcc-c++ imake libSDL-devel libXext-devel libXt-devel libmesa-devel xorg-cf-files
BuildRequires: ImageMagick

#BuildRequires: XFree86-devel XFree86-libs aalib esound freetype2
#BuildRequires: gcc-c++ libstdc++-devel
#BuildRequires: glibc-devel libGLU-devel libSDL-devel libalsa2
#BuildRequires: libarts libaudiofile libexpat libfontconfig libslang ImageMagick

%description
Abuse-SDL is a port of Abuse, the classic Crack-Dot-Com game, to the
SDL library. It can run at any color depth, in a window or fullscreen,
and it has stereo sound with sound panning.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

install -pD -m644 %SOURCE2 %buildroot%_desktopdir/%name.desktop

install -d %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
convert abuse.png %buildroot/%_iconsdir/%name.png
convert -size 48x48 abuse.png %buildroot/%_liconsdir/%name.png
convert -size 16x16 abuse.png %buildroot/%_miconsdir/%name.png

install -d %buildroot/{%_datadir/games/abuse,%_gamesbindir}
mv %buildroot/%_bindir/abuse.sdl %buildroot/%_gamesbindir
cat > %buildroot/%_gamesbindir/abuse << EOF
#!/bin/sh
cd %_datadir/games/abuse/fRaBs210
exec %_gamesbindir/abuse.sdl -datadir %_datadir/games/abuse/fRaBs210 "\$@"
EOF
chmod +x %buildroot/%_gamesbindir/abuse
cd %buildroot/%_datadir/games/abuse/
bzcat %SOURCE1 | tar xf -
rm -f fRaBs210/{*.exe,art/*.exe,*.386}
for f in `find . -type f`; do
	dir=`dirname $f`
	base=`basename $f`
	new=$dir/`echo $base | tr [A-Z] [a-z]`
	if [ $new != $f ]; then
		mv $f $new
	fi
done

cd */addon/leon
ln -s lmisc.spe Lmisc.spe

cd sfx
ln -s ambship1.wav Ambship1.wav
ln -s ambship2.wav Ambship2.wav

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS README TODO
%_gamesbindir/*
%_desktopdir/%name.desktop
%_gamesdatadir/abuse
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_man6dir/*

%changelog
* Sat Mar 10 2007 Michael Shigorin <mike@altlinux.org> 0.7.0-alt4
- added ImageMagick to buildrequires by hand
  (hm, got lost somehow with buildreq)

* Sun Feb 11 2007 Michael Shigorin <mike@altlinux.org> 0.7.0-alt3
- adopted an orphan
- built with gcc4.1
- updated buildrequires
- replaced debian menu file with freedesktop (from Ubuntu)
- added missing manpage

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 0.7.0-alt2
- fix BuildRequires

* Tue Dec 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.0-alt1
- new version
- build with gcc2.96

* Wed Oct 23 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.1-alt2
- rebuild with gcc3.2

* Fri Feb 08 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.1-alt1
- new version

* Mon Jan 21 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.0-alt1
- new version

* Tue Sep 04 2001 Sergey V Turchin <zerg@altlinux.ru> 0.5.0-alt1
- new version

* Thu May  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-2mdk
- corrected badly lowercased files

* Tue May  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-1mdk
- first version
